
import globData from '../GlobalData.js';

import user1 from '../APIexamples/user1.json'
import user2 from '../APIexamples/user2.json'
import user3 from '../APIexamples/user3.json'
import user4 from '../APIexamples/user4.json'

import Button from './Button.js';
import disruptIcon from '../img/flash.svg';

class SelectUserButton extends Button {
	selectUser = () => {
        if(this.props.path === "user1"){
            globData.user = user1
        }else if (this.props.path === "user2"){
            globData.user = user2
        }else if (this.props.path === "user3"){
            globData.user = user3
        }else if (this.props.path === "user4"){
            globData.user = user4
        }
	}

	render() {
		return (
			<Button onClick={[this.selectUser]} className="disruptBtn">
				<img src={disruptIcon} alt="" />
				<span>{this.props.username}</span>
			</Button>
		);
	}
}


export default SelectUserButton;
